//
// Created by sebastian on 08.02.26.
//

#ifndef PLAYERINVENTORY_H
#define PLAYERINVENTORY_H
#include <unordered_map>

#include "hexWorld/RessourceType.h"


class PlayerInventory {
private:
    std::unordered_map<RessourceType, int> resources;

public:
    bool hasEnough(RessourceType resourceType, int amount) const;
    void spend(RessourceType resourceType, int amount);
    void add(RessourceType resourceType, int amount);

};



#endif //PLAYERINVENTORY_H
